/**
 * Copyright (c) 2006-2012 EBM WebSourcing, 2012-2016 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.topology;

import static org.junit.Assert.assertEquals;
import static org.junit.Assert.assertNull;
import static org.junit.Assert.fail;

import java.io.File;
import java.net.URISyntaxException;
import java.net.URL;

import org.junit.Before;
import org.junit.Test;
import org.ow2.petals.topology.generated.Container;
import org.ow2.petals.topology.generated.Topology;

/**
 * @since Petals 1.0
 * @author Niolas Salatge - EBM WebSourcing
 * @author Roland NAUDIN - EBM WebSourcing
 */
public class TopologyHelperTest {

    public final static String TEST_CONTAINER_NAME = "2";

    public final static String TEST_BAD_CONTAINER_NAME = "bad container";

    private Topology topology;

    @Before
    public void setUp() {
        try {
            final URL topologyUrl = Thread.currentThread().getContextClassLoader()
                    .getResource("topology.xml");
            topology = TopologyBuilder.createTopology(new File(topologyUrl.toURI()));
        } catch (TopologyException e) {
            fail(e.getMessage());
            e.printStackTrace();
        } catch (URISyntaxException e) {
            fail(e.getMessage());
            e.printStackTrace();
        }
    }

    @Test
    public void testFindContainerInTopology() {
        Container container = TopologyHelper.findContainer(TEST_CONTAINER_NAME, topology);
        assertEquals(TEST_CONTAINER_NAME, container.getName());

        Container badContainer = TopologyHelper.findContainer(TEST_BAD_CONTAINER_NAME, topology);
        assertNull(badContainer);
    }

}
